- Limbo / multiple sentences in the matrix model. (April 11)
- Box editing of alignments in the matrix model. (April 3)
- Box editing of tree structure for monolingual sentences. (April 9)
  - "Brackets" way of factoring/rendering the boxes. (April 8)
  - Violation of constraints will cause invalidated nodes to go limbo. (April 2)
- "Outline" layout of trees.
  - Pref: parent-child spacing (April 6)
  - Pref: height-oriented (align all leaves) or depth-oriented? (April 6)
  - Pref: alignment of parents (centered, begin, end, cog) (April 6)
  - Pref: cornered edges (April 12)
  - Pref: select/box/expand/collapse sub-trees in middle (April 5)

- Multiple labels for a single node or edge. (April 7)
- Aligned highlighting of trees/nodes. (April 7)
- Selection of part of the string. (April 14)
- Opacity gradation of alignment. (April 14)

- auto-pan
- auto-zoom
- switch order of multiple sentences

